Bug 137466 - no NR_IRQS defined when using irq.h include file
Summary: no NR_IRQS defined when using irq.h include file
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-28 17:43 UTC by Manfredo Hopp
Modified: 2015-01-04 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:06:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Manfredo Hopp 2004-10-28 17:43:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Compiling a driver produces a not  NR_IRQS defined message. This
variable is defined in the irq_vectors_limits.h but the asm/irq.h is
only including irq_vectors.h.
I solved the problem including irq_vectors_limits.h in /asm/irq.h

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.503.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.Compile source with a reference to NR_IRQS including file linux/irq.h
2.
3.
    

Actual Results:  I solved the problem including irq_vectors_limits.h
in /asm/irq.h

Expected Results:  The compilation should work

Additional info:

Comment 1 Dave Jones 2004-10-28 23:45:24 UTC
what driver is this ?


Comment 2 Manfredo Hopp 2004-10-29 15:01:36 UTC
Eagle-usb for ADSL. See http://dev.eagle-usb.org

Comment 3 Dave Jones 2005-04-16 05:06:24 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.